/*---------------------------MAIN-----------------------------------------*/
.main {
  width: 100vw;
}

.titleSection {
  font-size: 22px;
  font-family: var(--font-family-title);
  padding: 20px;
  text-align: center;
}

/* Styles pour les écrans plus grands */
@media (min-width: 768px) {
  .titleSection {
    font-size: 1.8em;
  }
}

/*----------------------1. À PROPOS DE NOUS------------------------------*/

.aboutUs {
  display: flex;
  flex-direction: column;
  align-items: center;
  background-color: var(--color-bg-1);
  padding-bottom: 20px;
}

#imageAboutUs img {
  width: 80vw;
  height: 400px;
  object-fit: cover;
  position: relative;
  border-radius: 5px;
}

#titleAboutUs {
  color: var(--color-bistro);
}

#textAboutUs {
  position: relative;
  top: -14px;
  border-radius: 5px;
  background-color: white;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  text-align: center;
  padding: 20px;
  margin: 0 20px;
  font-family: var(--font-family-text);
}

#presentationCuisineChef {
  padding-bottom: 20px;
  font-size: 15px;
}

#presentationChef {
  border-top: 1px solid var(--color-bistro);
  padding-top: 20px;
  font-size: 13px;
}

/* Styles ipad */
@media (min-width: 768px) {
  .aboutUs {
    padding-bottom: 40px;
  }

  #textAboutUs {
    padding: 30px 80px;
  }

  #imageAboutUs img {
    height: 600px;
  }

  #imageAboutUs img {
    padding-top: 40px;
  }

  #presentationCuisineChef {
    font-size: 1.2em;
  }

  #presentationChef {
    font-size: 1.1em;
  }
}

/* Styles desktop */
@media (min-width: 1024px) {
  .aboutUs {
    flex-direction: row;
    justify-content: center;
    padding-top: 20px;
  }

  #textAboutUs {
    padding: 30px 80px;
    position: relative;
    left: -100px;
  }

  #imageAboutUs img {
    width: 800px;
  }

  #imageAboutUs img {
    bottom: 0;
    right: -100px;
  }
}

/*----------------------2. Cartes------------------------------*/

.carte {
  background-color: var(--color-bg-1);
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

#imgCarte img {
  object-fit: cover;
}

#titleCarte {
  color: var(--color-bistro);
  text-align: center;
}

#descriptionAndBtn p {
  padding: 0 20px 30px;
  text-align: justify;
  line-height: 25px;
}

#descriptionAndBtn a {
  text-decoration: none;
  color: var(--color-bistro);
  text-transform: uppercase;
  border: 1px solid var(--color-bistro);
  display: block;
  width: 150px;
  text-align: center;
  margin: 0 auto;
  padding: 20px 0;
  margin-bottom: 20px;
}

@media (min-width: 768px) {
  #titleCarte {
    padding: 40px 0;
  }
  #descriptionAndBtn {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin: 0 100px;
  }

  #descriptionAndBtn p {
    padding: 0;
    font-size: 1.2em;
    width: 50%;
    text-align: justify;
    line-height: 35px;
  }

  #descriptionAndBtn a {
    width: 200px;
    padding: 20px 0;
    font-size: 1.1em;
  }
}

@media (min-width: 1024px) {
  .carte {
    flex-direction: row-reverse;
    height: fit-content;
  }

  #textCartes {
    width: 45vw;
  }

  #imgCarte img {
    min-width: 200px;
    width: 55vw;
    object-fit: cover;
    height: auto;
  }

  #descriptionAndBtn {
    display: flex;
    flex-direction: column;
    gap: 100px;
    padding: 0;
    margin: 0;
  }

  #descriptionAndBtn p {
    padding: 0 100px;
    font-size: 1.2em;
    width: auto;
    text-align: justify;
    line-height: 35px;
  }

  #descriptionAndBtn a:hover {
    background-color: var(--color-bistro);
    color: white;
  }
}

/* GALERIE */

@media (min-width: 768px) {
  .containerGallery {
    background-color: var(--color-bg-1);
    padding-top: 45px;
    margin-top: 5px;
  }

  #titleGallery {
    padding-bottom: 60px;
  }
}
